std::basic_string::back(3)

NAME
std::basic_string::back - std::basic_string::back

Synopsis
   CharT& back(); (since C++11)
                        (until C++20)
   constexpr CharT& back(); (since C++20)
   const CharT& back() const; (since C++11)
                        (until C++20)
   constexpr const CharT& back() const; (since C++20)
   Returns reference to the last character in the string. The behavior is undefined if
   empty() == true.

Parameters
   (none)

Return value
   reference to the last character, equivalent to operator[](size() - 1).

Complexity
   Constant

Example
// Run this code
 #include <iostream>
 #include <string>
 int main()
 {
   {
     std::string s("Exemplary");
     char& back = s.back();
     back = 's';
     std::cout << s << '\n'; // "Exemplars"
   }
   {
     std::string const c("Exemplary");
     char const& back = c.back();
     std::cout << back << '\n'; // 'y'
   }
 }

Output:
 Exemplars
 y

See also
   front accesses the first character
   (C++11) (public member function)
   back accesses the last character
   (C++17) (public member function of std::basic_string_view<CharT,Traits>)